## ignition-tools 1.4.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

project (ignition-tools)

# Note about ignition-cmake:
# -------------------------
# The project is not using ignition-cmake2 due to problems
# with compatibility when mixed with projects using ignition-cmake0
# When ignition-cmake0 will be EOL the code to implement
# ignition-cmake2 back to this project can be found at:
# https://osrf-migration.github.io/ignition-gh-pages/#!/ignitionrobotics/ign-tools/pull-requests/6

string (SUBSTRING ${PROJECT_NAME} 9 -1 IGN_PROJECT_NAME)
string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

set (PROJECT_MAJOR_VERSION 1)
set (PROJECT_MINOR_VERSION 4)
set (PROJECT_PATCH_VERSION 1)

set (PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION})
set (PROJECT_VERSION_FULL ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION})

message (STATUS "${PROJECT_NAME} version ${PROJECT_VERSION_FULL}")

set (project_cmake_dir ${PROJECT_SOURCE_DIR}/cmake
  CACHE PATH "Location of CMake scripts")

include (${project_cmake_dir}/Utils.cmake)

########################################
# Package Creation:
include (${project_cmake_dir}/cpack.cmake)
set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_FULL}")
set (CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_MAJOR_VERSION}")
set (CPACK_PACKAGE_VERSION_MINOR "${PROJECT_MINOR_VERSION}")
set (CPACK_PACKAGE_VERSION_PATCH "${PROJECT_PATCH_VERSION}")

if (CPACK_GENERATOR)
  message(STATUS "Found CPack generators: ${CPACK_GENERATOR}")

  configure_file("${project_cmake_dir}/cpack_options.cmake.in"
    ${PROJECT_CPACK_CFG_FILE} @ONLY)

  set(CPACK_PROJECT_CONFIG_FILE ${PROJECT_CPACK_CFG_FILE})
  include (CPack)
endif()

# If we're configuring only to package source, stop here
if (PACKAGE_SOURCE_ONLY)
  message(WARNING "Configuration was done in PACKAGE_SOURCE_ONLY mode."
  "You can build a tarball (make package_source), but nothing else.")
  return()
endif()

#################################################
# Documentation:
add_subdirectory(doc)

# If we're configuring only to build docs, stop here
if (DOC_ONLY)
  message(WARNING "Configuration was done in DOC_ONLY mode."
  " You can build documentation (make doc), but nothing else.")
  return()
endif()

enable_testing()

# Use GNUInstallDirst to get canonical paths
include(GNUInstallDirs)

# with -fPIC
if(UNIX AND NOT WIN32)
  set (CMAKE_INSTALL_PREFIX "/usr" CACHE STRING "Install Prefix")
 find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if(CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
   set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
     "processor type (i386 and x86_64)")
   if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
     ADD_DEFINITIONS(-fPIC)
   endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
 endif(CMAKE_UNAME)
endif()

set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

# developer's option to cache PKG_CONFIG_PATH and
# LD_LIBRARY_PATH for local installs
if(PKG_CONFIG_PATH)
  set (ENV{PKG_CONFIG_PATH} ${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH})
endif()
if(LD_LIBRARY_PATH)
  set (ENV{LD_LIBRARY_PATH} ${LD_LIBRARY_PATH}:$ENV{LD_LIBRARY_PATH})
endif()


set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/ignition")
set (LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR})

set (USE_FULL_RPATH OFF CACHE BOOL "Set to true to enable full rpath")

if (USE_FULL_RPATH)
  # use, i.e. don't skip the full RPATH for the build tree
  set(CMAKE_SKIP_BUILD_RPATH  FALSE)

  # when building, don't use the install RPATH already
  # (but later on when installing)
  set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")

  # add the automatically determined parts of the RPATH
  # which point to directories outside the build tree to the install RPATH
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

  # the RPATH to be used when installing, but only if its not a system directory
  list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}" isSystemDir)
  if("${isSystemDir}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
  endif("${isSystemDir}" STREQUAL "-1")
endif()

set (BUILD_IGNITION ON CACHE INTERNAL
  "Build Ignition ${IGN_PROJECT_NAME}" FORCE)
set (build_errors "" CACHE INTERNAL "build errors" FORCE)
set (build_warnings "" CACHE INTERNAL "build warnings" FORCE)

include (${project_cmake_dir}/DissectVersion.cmake)

message (STATUS "\n\n====== Finding 3rd Party Packages ======")
include (${project_cmake_dir}/SearchForStuff.cmake)

# Backtrace
# There appears to be a bug that causes pretty printing backtrace to fail in
# some instances when using BFD, so we disable it here.

option(USE_SYSTEM_BACKWARDCPP "Use system installed backward-cpp, otherwise use vendored version" FALSE)
if (NOT USE_SYSTEM_BACKWARDCPP)
  list(APPEND CMAKE_PREFIX_PATH ${PROJECT_SOURCE_DIR}/src/Backward)
  set(STACK_DETAILS_AUTO_DETECT FALSE CACHE BOOL "Auto detect backward's stack details dependencies")
endif()
find_package(Backward)

message (STATUS "----------------------------------------\n")

#################################################
# Print warnings and errors
if ( build_warnings )
  message(WARNING "BUILD WARNINGS")
  foreach (msg ${build_warnings})
    message(WARNING ${msg})
  endforeach ()
  message(WARNING "END BUILD WARNINGS\n")
endif (build_warnings)

########### Add uninstall target ###############
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

if (build_errors)
  message(SEND_ERROR "BUILD ERRORS: These must be resolved before compiling.")
  foreach (msg ${build_errors})
    message(SEND_ERROR ${msg})
  endforeach ()
  message(SEND_ERROR "END BUILD ERRORS\n")
  message (FATAL_ERROR "Errors encountered in build. "
      "Please see the BUILD ERRORS above.")
else (build_errors)

  message (STATUS "Install path: ${CMAKE_INSTALL_PREFIX}")

  ########################################
  # Make the package config files
  set(PC_CONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/pkgconfig)
  file(RELATIVE_PATH
    PC_CONFIG_RELATIVE_PATH_TO_PREFIX
    "${CMAKE_INSTALL_PREFIX}/${PC_CONFIG_INSTALL_DIR}"
    "${CMAKE_INSTALL_PREFIX}"
  )
  configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/pkgconfig/ignition.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${PROJECT_NAME_LOWER}.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/pkgconfig/${PROJECT_NAME_LOWER}.pc
    DESTINATION ${PC_CONFIG_INSTALL_DIR}
    COMPONENT pkgconfig)

  ########################################
  # Make the cmake config files
  set(PKG_NAME ${PROJECT_NAME_UPPER})
  set(PKG_LIBRARIES ${PROJECT_NAME_LOWER})
  set(PKG_DEPENDS)

  include(CMakePackageConfigHelpers)
  configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/ignition-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME_LOWER}-config.cmake"
    INSTALL_DESTINATION ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}
  )
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME_LOWER}-config.cmake
    DESTINATION ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}
    COMPONENT cmake)

  ########################################
  # If present, load platform-specific build hooks.  This system is used,
  # for example, by the Ubuntu overlay, to arrange for installation of
  # Ubuntu-specific application-launching configuration.
  if (EXISTS ${PROJECT_SOURCE_DIR}/cmake/packager-hooks/CMakeLists.txt)
    message(STATUS "Loading packager build hooks from cmake/packager-hooks")
    add_subdirectory(cmake/packager-hooks)
  endif()

  message(STATUS "Configuration successful. Type make to compile
  ${PROJECT_NAME_LOWER}")
endif(build_errors)

include(CTest)

add_subdirectory(src)

=== doc/CMakeLists.txt ===
find_package(Doxygen)

if (DOXYGEN_FOUND)
  configure_file(${CMAKE_SOURCE_DIR}/doc/ignition.in
                 ${CMAKE_BINARY_DIR}/ignition.dox @ONLY)

  add_custom_target(doc

    # Generate the API documentation
    ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/ignition.dox
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMAND cp ${CMAKE_SOURCE_DIR}/doc/ignition_logo.png
            ${CMAKE_BINARY_DIR}/doxygen/html
    COMMAND cp ${CMAKE_SOURCE_DIR}/doc/search.js
            ${CMAKE_BINARY_DIR}/doxygen/html/search
    COMMAND make -C ${CMAKE_BINARY_DIR}/doxygen/latex
    COMMAND mv ${CMAKE_BINARY_DIR}/doxygen/latex/refman.pdf
    ${CMAKE_BINARY_DIR}/doxygen/latex/${PROJECT_NAME_LOWER}-${PROJECT_VERSION_FULL}.pdf

    COMMENT "Generating API documentation with Doxygen" VERBATIM)
endif()

=== src/CMakeLists.txt ===
include (${project_cmake_dir}/Utils.cmake)

# Set delimiter for environment variables with multiple path values based on OS
if (WIN32)
  set(ENV_PATH_DELIMITER ";")
else()
  set(ENV_PATH_DELIMITER ":")
endif()

set(executable_name "ign")

if(WIN32)
  set(executable_name "ign.rb")
endif()

if(MSVC)

  # We always want this flag to be specified so we get standard-compliant
  # exception handling.
  # EHsc: Use standard-compliant exception handling
  add_compile_options("/EHsc")
endif()

cmake_policy(PUSH)
cmake_policy(SET CMP0042 NEW)
add_library(backward SHARED backward.cc)
target_link_libraries(backward PUBLIC Backward::Backward)
set_target_properties(backward PROPERTIES OUTPUT_NAME ${PROJECT_NAME}-backward)
set_target_properties(backward PROPERTIES CXX_STANDARD 14)
cmake_policy(POP)

if(MSVC)
  # Suppress warning from vendored package
  target_compile_options(backward PUBLIC /wd4267)
  target_compile_options(backward PUBLIC /wd4996)
endif()
install (TARGETS backward DESTINATION ${LIB_INSTALL_DIR})

#===============================================================================
# Used for the installed version.
if(APPLE)
  # On macOS, the full path to the library since DYLD_LIBRARY_PATH may not work.
  set(backward_library_name ${CMAKE_INSTALL_FULL_LIBDIR}/$<TARGET_FILE_NAME:backward>)
else()
  set(backward_library_name $<TARGET_FILE_NAME:backward>)
endif()

# Two steps to create `ign`, First using `configure_file`, to interpolate cmake variables. Then
# use `file(GENERATE ...)` to use generator expressions
set(ign_script_configured ${PROJECT_BINARY_DIR}/${executable_name}_before_gen)
set(ign_script_generated ${PROJECT_BINARY_DIR}/$<CONFIG>/${executable_name})

configure_file(ign.in ${ign_script_configured})
file(GENERATE OUTPUT ${ign_script_generated} INPUT ${ign_script_configured})
install (PROGRAMS ${ign_script_generated} DESTINATION ${BIN_INSTALL_DIR})

#===============================================================================
# BEGIN TEST ign command
# Generate the ruby script for internal testing.
if(BUILD_TESTING)
  set(backward_library_name $<TARGET_FILE:backward>)
  set(ign_script_configured_test ${PROJECT_BINARY_DIR}/test/bin/${executable_name}_before_gen)
  set(ign_script_generated_test ${PROJECT_BINARY_DIR}/$<CONFIG>/test/bin/${executable_name})

  # Two steps to create `ign`, First using `configure_file`, to interpolate cmake variables. Then
  # use `file(GENERATE ...)` to use generator expressions
  configure_file(ign.in ${ign_script_configured_test})
  file(GENERATE OUTPUT ${ign_script_generated_test} INPUT ${ign_script_configured_test})

  set(TEST_NAME UNIT_ign_TEST)

  set(ign_library_path  "${PROJECT_SOURCE_DIR}/src/cmd${TEST_NAME}.rb")

  set(yaml_output_dir "${PROJECT_BINARY_DIR}/test/conf" )
  set(yaml_output_configured_test "${yaml_output_dir}/${TEST_NAME}.yaml.configured")
  set(yaml_output_generated_test "${yaml_output_dir}/$<CONFIG>/${TEST_NAME}.yaml")
  configure_file(
    "${TEST_NAME}.yaml.in"
    "${yaml_output_configured_test}" @ONLY)

  file(GENERATE
    OUTPUT "${yaml_output_generated_test}"
    INPUT "${yaml_output_configured_test}")

  configure_file(
    "${PROJECT_SOURCE_DIR}/tools/junit_pass.xml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_pass.xml"
    @ONLY)

  configure_file(
    "${PROJECT_SOURCE_DIR}/tools/junit_fail.xml.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}_fail.xml"
    @ONLY)

  # This simply executes ign. The output will be tested in the check_* test
  add_test(
    NAME ${TEST_NAME}
    COMMAND ${CMAKE_COMMAND}
    -DTEST_NAME=${TEST_NAME}
    -DIGN_SCRIPT=${ign_script_generated_test} 
    -P ${PROJECT_SOURCE_DIR}/cmake/run_test.cmake
  )

  set_tests_properties(
    ${TEST_NAME}
    PROPERTIES
    ENVIRONMENT "IGN_CONFIG_PATH=${yaml_output_dir}/$<CONFIG>"
  )
endif()
# END TEST
#==============================

## ignition-tools 1.4.1

=== debian/changelog ===
ignition-tools (1.4.1-1~buster) buster; urgency=medium

  * ignition-tools 1.4.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Oct 2021 18:04:06 +0200

ignition-tools (1.4.0-2~buster) buster; urgency=medium

  * ignition-tools 1.4.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Oct 2021 19:13:44 +0200

ignition-tools (1.4.0-1~buster) buster; urgency=medium

  * ignition-tools 1.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 15 Oct 2021 11:39:51 -0700

ignition-tools (1.3.0-1~buster) buster; urgency=medium

  * ignition-tools 1.3.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 28 Sep 2021 15:56:37 +0200

ignition-tools (1.3.0~pre1-1~buster) buster; urgency=medium

  * ignition-tools 1.3.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 09:40:32 -0700

ignition-tools (1.2.0-1~buster) buster; urgency=medium

  * ignition-tools 1.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 27 Apr 2021 11:37:18 -0700

ignition-tools (1.1.0-1~buster) buster; urgency=medium

  * ignition-tools 1.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 11:55:15 -0700

ignition-tools (1.1.0~pre1-1~buster) buster; urgency=medium

  * ignition-tools 1.1.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 23 Mar 2021 15:58:49 +0100

ignition-tools (1.1.0~pre-1~buster) buster; urgency=medium

  * ignition-tools 1.1.0~pre-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 23 Mar 2021 15:44:30 +0100

ignition-tools (1.0.0-1~buster) buster; urgency=medium

  * ignition-tools 1.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 09 Dec 2019 22:45:21 +0100

=== debian/control ===
Source: ignition-tools
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9~),
               gem2deb,
               cmake,
               pkg-config,
               libbackward-cpp-dev 
XS-Ruby-Versions: all
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign-tools-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign-tools-release
Homepage: http://ignitionrobotics.org/

Package: ignition-tools
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends}
Multi-Arch: same
Description:  Ignition entry point for using all the suite of ignition tools
  Ignition tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-tools-dev
Architecture: any
Section: libdevel
Depends: cmake,
         ignition-tools,
         ${misc:Depends}
Multi-Arch: same
Description: CMake/Pkgconfig Support for rest of the suite of ignition tools
  Ignition tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

=== debian/rules ===
#!/usr/bin/make -f


.PHONY: override_dh_auto_configure

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DUSE_SYSTEM_BACKWARDCPP=ON \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
%:
	dh $@ --buildsystem=cmake --with ruby

## ignition-tools 1.4.1+dfsg

=== debian/changelog ===
ignition-tools (1.4.1+dfsg-2) unstable; urgency=medium

  * Add ruby in build-deps for fixing testing

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Feb 2022 14:47:30 +0000

ignition-tools (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.4.1+dfsg
  * Update copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Feb 2022 23:55:19 +0000

ignition-tools (1.2.0+ds-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 02 Nov 2021 16:54:05 +0000

ignition-tools (1.2.0+ds-1) experimental; urgency=medium

  * Initial release. (Closes: #891170)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Jun 2021 17:21:56 +0000

=== debian/control ===
Source: ignition-tools
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libbackward-cpp-dev,
               pkg-config,
               ruby
Standards-Version: 4.6.0
XS-Ruby-Versions: all
Vcs-Browser: https://salsa.debian.org/science-team/ignition-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-tools.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libs/tools

Package: ignition-tools
Architecture: all
Section: utils
Depends: ruby,
         ${misc:Depends}
Description: Entry point for using all the suite of ignition tools - app
 Ignition tools provide the ign command line tool that accepts multiple
 subcommands. Each subcommand is implemented in a plugin that belongs to a
 specific Ignition project.
 .
 Package contains the ign app

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUSE_SYSTEM_BACKWARDCPP=ON

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	# remove pkgconfig and cmake modules. The package has no library
	# makes no sense to ship them
	rm -R debian/ignition-tools/usr/lib

%:
	dh $@

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+dfsg \
    https://github.com/ignitionrobotics/ign-tools/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz

## ignition-tools 1.5.0

=== debian/changelog ===
ignition-tools (1.5.0-1~focal) focal; urgency=medium

  * ignition-tools 1.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 16:31:45 -0700

ignition-tools (1.4.1-2~focal) focal; urgency=medium

  * ignition-tools 1.4.1-2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 12 Aug 2022 11:30:20 -0700

ignition-tools (1.4.1-1~focal) focal; urgency=medium

  * ignition-tools 1.4.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Oct 2021 18:04:07 +0200

ignition-tools (1.4.0-2~focal) focal; urgency=medium

  * ignition-tools 1.4.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Oct 2021 19:13:44 +0200

ignition-tools (1.4.0-1~focal) focal; urgency=medium

  * ignition-tools 1.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 15 Oct 2021 11:39:51 -0700

ignition-tools (1.3.0-1~focal) focal; urgency=medium

  * ignition-tools 1.3.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 28 Sep 2021 15:56:37 +0200

ignition-tools (1.3.0~pre1-1~focal) focal; urgency=medium

  * ignition-tools 1.3.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 09:40:32 -0700

ignition-tools (1.2.0-1~focal) focal; urgency=medium

  * ignition-tools 1.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 27 Apr 2021 11:37:18 -0700

ignition-tools (1.1.0-1~focal) focal; urgency=medium

  * ignition-tools 1.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 11:55:15 -0700

ignition-tools (1.1.0~pre1-1~focal) focal; urgency=medium

  * ignition-tools 1.1.0~pre1-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 23 Mar 2021 15:58:49 +0100

ignition-tools (1.1.0~pre-1~focal) focal; urgency=medium

  * ignition-tools 1.1.0~pre-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Tue, 23 Mar 2021 15:44:30 +0100

ignition-tools (1.0.0-1~focal) focal; urgency=medium

  * ignition-tools 1.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 09 Dec 2019 22:45:21 +0100

=== debian/control ===
Source: ignition-tools
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               cmake,
               gem2deb,
               libbackward-cpp-dev,
               ruby,
               pkg-config
XS-Ruby-Versions: all
Vcs-Browser: https://github.com/gazebosim/gz-tools
Vcs-Git: https://github.com/gazebosim/gz-tools.git
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: ignition-tools
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends}
Multi-Arch: same
Description: Entry point for using all the suite of Gazebo tools - app
 Gazebo tools provide the ign command line tool that accepts multiple
 subcommands. Each subcommand is implemented in a plugin that belongs to a
 specific Gazebo project.
 .
 Package contains the ign app

Package: libignition-tools-dev
Architecture: any
Section: libdevel
Depends: cmake,
         ignition-tools,
         ${misc:Depends}
Multi-Arch: same
Description: Entry point for using all the suite of Gazebo tools - cmake support
 Gazebo tools provide the ign command line tool that accepts multiple
 subcommands. Each subcommand is implemented in a plugin that belongs to a
 specific Gazebo project.
 .
 Package contains the cmake helpers

Package: gz-tools
Depends: ignition-tools, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-tools-dev
Depends: libignition-tools-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_configure

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DUSE_SYSTEM_BACKWARDCPP=ON \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
%:
	dh $@ --buildsystem=cmake

## ignition-tools 1.5.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 project (ignition-tools)
 
@@ -15,8 +15,8 @@
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
 
 set (PROJECT_MAJOR_VERSION 1)
-set (PROJECT_MINOR_VERSION 4)
-set (PROJECT_PATCH_VERSION 1)
+set (PROJECT_MINOR_VERSION 5)
+set (PROJECT_PATCH_VERSION 0)
 
 set (PROJECT_VERSION ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION})
 set (PROJECT_VERSION_FULL ${PROJECT_MAJOR_VERSION}.${PROJECT_MINOR_VERSION}.${PROJECT_PATCH_VERSION})
@@ -223,3 +223,4 @@
 include(CTest)
 
 add_subdirectory(src)
+add_subdirectory(etc)

=== etc/CMakeLists.txt ===
# Tack version onto and install the bash completion scripts

# Install script to source all bash completion scripts, of all library versions.
configure_file(
  "gz.completion"
    "${CMAKE_CURRENT_BINARY_DIR}/gz${PROJECT_MAJOR_VERSION}.completion" @ONLY)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/gz${PROJECT_MAJOR_VERSION}.completion
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gz)

configure_file(
  "ign.bash_completion.sh"
    "${CMAKE_CURRENT_BINARY_DIR}/ign${PROJECT_MAJOR_VERSION}.bash_completion.sh" @ONLY)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ign${PROJECT_MAJOR_VERSION}.bash_completion.sh
  RENAME ign
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/bash-completion/completions)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,10 @@
   target_compile_options(backward PUBLIC /wd4267)
   target_compile_options(backward PUBLIC /wd4996)
 endif()
-install (TARGETS backward DESTINATION ${LIB_INSTALL_DIR})
+install (TARGETS backward 
+         LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+         ARCHIVE DESTINATION ${LIB_INSTALL_DIR} 
+         RUNTIME DESTINATION ${BIN_INSTALL_DIR})
 
 #===============================================================================
 # Used for the installed version.
@@ -53,6 +56,17 @@
 configure_file(ign.in ${ign_script_configured})
 file(GENERATE OUTPUT ${ign_script_generated} INPUT ${ign_script_configured})
 install (PROGRAMS ${ign_script_generated} DESTINATION ${BIN_INSTALL_DIR})
+
+if(WIN32)
+  # On Windows also install the executable as ign 
+  # to permit to invoke ign via Git Bash 
+  # see https://github.com/ignitionrobotics/ign-tools/issues/70
+  install (PROGRAMS ${ign_script_generated} DESTINATION ${BIN_INSTALL_DIR} RENAME ign)
+  
+  # On Windows also install the ign.bat wrapper script to permit to
+  # invoke ign via Command Prompt or Powershell
+  install (PROGRAMS ign.bat DESTINATION ${BIN_INSTALL_DIR})
+endif()
 
 #===============================================================================
 # BEGIN TEST ign command

=== debian/changelog ===
ignition-tools (1.5.0+dfsg-2) unstable; urgency=medium

  * Fix bash-completion support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Sep 2023 10:52:57 +0000

ignition-tools (1.5.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints. + ignition-tools: Add :any qualifier for ruby
    dependency.

  [ Jose Luis Rivero ]
  * New upstream version 1.5.0+dfsg
  * Update standards
  * Debian packaging for bash-completion

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 11 Aug 2023 14:14:22 +0000

=== debian/control ===
Source: ignition-tools
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               cmake,
               libbackward-cpp-dev,
               pkg-config,
               ruby
Standards-Version: 4.6.2
XS-Ruby-Versions: all
Vcs-Browser: https://salsa.debian.org/science-team/ignition-tools
Vcs-Git: https://salsa.debian.org/science-team/ignition-tools.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libs/tools

Package: ignition-tools
Architecture: all
Section: utils
Depends: ruby:any,
         ${misc:Depends}
Description: Entry point for using all the suite of ignition tools - app
 Ignition tools provide the ign command line tool that accepts multiple
 subcommands. Each subcommand is implemented in a plugin that belongs to a
 specific Ignition project.
 .
 Package contains the ign app

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUSE_SYSTEM_BACKWARDCPP=ON

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	# remove pkgconfig and cmake modules. The package has no library
	# makes no sense to ship them
	rm -R debian/ignition-tools/usr/lib

%:
	dh $@ --with bash-completion
